/**
 * <copyright>
 *
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 *   IBM - Initial API and implementation
 *
 * </copyright>
 *
 * $Id: AntUtil.java,v 1.2 2006/06/21 20:47:34 marcelop Exp $
 */
package org.eclipse.emf.build.ant.util;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

import org.apache.tools.ant.DirectoryScanner;
import org.apache.tools.ant.Project;
import org.apache.tools.ant.types.FileSet;

public class AntUtil
{
  public static List/*<File>*/ computeExistingFiles(Project project, FileSet fileset)
  {
    List files = new ArrayList();
    DirectoryScanner directoryScanner = fileset.getDirectoryScanner(project);
    String[] includedFiles = directoryScanner.getIncludedFiles();
    for (int i = 0; i < includedFiles.length; i++)
    {
      String includedFile = includedFiles[i].replace('\\', '/');
      File file = new File(directoryScanner.getBasedir(), includedFile).getAbsoluteFile();
      if (file.isFile() && !files.contains(file))
      {
        files.add(file);
      }
    }
    return files;
  }
}
